xmonad-contrib-0.11.1: Third party extensions for xmonad

Portability | unportable
Stability | unstable
Safe Haskell | None

XMonad.Actions.WithAll

Contents

- Usage

Description

Provides functions for performing a given action on all windows of the current workspace.

Synopsis

- sinkAll :: X ()
- withAll :: (Window -> X ()) -> X ()
- withAll' :: (Window -> WindowSet -> WindowSet) -> X ()
- killAll :: X ()

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Actions.WithAll

then add a keybinding; for example:

, ((modm .|. shiftMask, xK_t), sinkAll)

For detailed instructions on editing your key bindings, see XMonad.Doc.Extending.

sinkAll :: X ()

Un-float all floating windows on the current workspace.

withAll :: (Window -> X ()) -> X ()

Execute an `X` action for each window on the current workspace.

withAll' :: (Window -> WindowSet -> WindowSet) -> X ()

Apply a function to all windows on the current workspace.

killAll :: X ()

Kill all the windows on the current workspace.